Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: networks.vehicles.makeUnavailable
コレクションでコンテンツを整理
必要に応じて、コンテンツの保存と分類を行います。
HTTP リクエスト
POST https://middlemileoptimization.googleapis.com/v1/{name=networks/*/vehicles/*}:makeUnavailable
この URL は gRPC Transcoding 構文を使用します。
パスパラメータ
| パラメータ |
name |
string
必須。利用不可にする車両の名前。形式: 「networks/{network}/vehicles/{vehicle}」
|
リクエスト本文
リクエストの本文には、次の構造のデータが含まれます。
| JSON 表現 |
{
"unavailabilityStarts": [
{
object (DateTime)
}
]
} |
| フィールド |
unavailabilityStarts[] |
object (DateTime)
必須。利用できなくなる期間。将来の時点である必要があります。このフィールドが存在しない場合、メッセージを受信すると利用不能になります。
|
レスポンスの本文
vehicles.makeUnavailable メソッドに対するレスポンス メッセージ。
成功した場合、レスポンスの本文には次の構造のデータが含まれます。
| JSON 表現 |
{
"name": string,
"path": [
{
object (Path)
}
]
} |
| フィールド |
name |
string
空き情報が更新された車両の名前。形式: 「networks/{network}/vehicles/{vehicle}」
|
path[] |
object (Path)
更新されたパス。
|
特に記載のない限り、このページのコンテンツはクリエイティブ・コモンズの表示 4.0 ライセンスにより使用許諾されます。コードサンプルは Apache 2.0 ライセンスにより使用許諾されます。詳しくは、Google Developers サイトのポリシーをご覧ください。Java は Oracle および関連会社の登録商標です。
最終更新日 2024-09-09 UTC。
[[["わかりやすい","easyToUnderstand","thumb-up"],["問題の解決に役立った","solvedMyProblem","thumb-up"],["その他","otherUp","thumb-up"]],[["必要な情報がない","missingTheInformationINeed","thumb-down"],["複雑すぎる / 手順が多すぎる","tooComplicatedTooManySteps","thumb-down"],["最新ではない","outOfDate","thumb-down"],["翻訳に関する問題","translationIssue","thumb-down"],["サンプル / コードに問題がある","samplesCodeIssue","thumb-down"],["その他","otherDown","thumb-down"]],["最終更新日 2024-09-09 UTC。"],[],["This outlines the process to mark a vehicle as unavailable via an HTTP POST request to a specific URL endpoint. The request requires the vehicle's name in the URL path and includes a body specifying when the unavailability starts, as a DateTime object array. If successful, the response includes the updated vehicle's name and the updated paths. If the unavailability start is not specified in the request, it begins at the message reception.\n"]]